This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 444072 - Direct Rendering is busted
Direct Rendering is busted
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-24 16:59 EDT by David Zeuthen
Modified: 2013-03-05 22:55 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-24 18:45:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Zeuthen 2008-04-24 16:59:24 EDT
This is with rawhide as of today (Thu Apr 24 2008)

xorg-x11-server-Xorg-1.4.99.901-23.20080415.fc9.x86_64

using Intel 965 and an ADD2 dual DVI output card driving two 1680x1050 monitors.
X.org conf file is stock (no DRI2)

$ LIBGL_DEBUG=verbose glxinfo 
name of display: :0.0
libGL: XF86DRIGetClientDriverName: 1.9.0 i915 (screen 0)
libGL: OpenDriver: trying /usr/lib64/dri/i915_dri.so
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 4, (OK)
drmOpenByBusid: Searching for BusID pci:0000:00:02.0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 4, (OK)
drmOpenByBusid: drmOpenMinor returns 4
drmOpenByBusid: drmGetBusid reports pci:0000:00:02.0
libGL error: drmMap of framebuffer failed (Invalid argument)
libGL error: reverting to (slow) indirect rendering
display: :0  screen: 0
direct rendering: No (If you want to find out why, try setting LIBGL_DEBUG=verbose)

Maybe this is related to bug 444068.
Comment 1 David Zeuthen 2008-04-24 17:28:53 EDT
(In reply to comment #0)
> using Intel 965

Actually it's G33, not 965.
Comment 2 David Zeuthen 2008-04-24 18:45:22 EDT
Bah, hardware limit is 2048 and upstream hasn't worked around that yet and
probably never will.

Note You need to log in before you can comment on or make changes to this bug.